Subject: bug#52208: Changing `csv-separators' in `csv-mode' does not work

From: Tor Kringeland <[email-masked]>
Date: Tue, 30 Nov 2021 22:17:28 +0100

Changing the value of `csv-separators' /e.g./ to

  (setq csv-separators '(";"))

(from it's default value) while in an Emacs session does not have any
effect.  Putting this in a config and re-starting Emacs works, though.

When using `csv-align-mode' it's prudent to have just one "CSV
separator", otherwise things will look ugly if you happen to have
another separator character in the file.  If one wants to switch between
a CSV file whose delimiter is `;' and another whose delimiter is `,',
one would have to change the value of `csv-separators', which isn't so
bad, but restarting Emacs for this to take effect is vexing.